Subject: Re: bug#56401: "Case folding" should be called "ignore case"

From: Phil Sainty <[email-masked]>
Date: Wed, 06 Jul 2022 16:37:54 +1200

On 2022-07-06 04:59, Lars Ingebrigtsen wrote:
> Stefan Kangas <[email-masked]> writes:
>> The "case fold" terminology is too technical and not very
>> user-friendly.  In other software, in most user-facing contexts,
>> it is called "ignore case".

"Ignore case" is in fact the precise term used in the "Default search
options" menu, so we do already cater to newcomers in that way.

"Case" isn't the only thing that can be "folded" though, and I don't
think "ignore" is always a good verb.  I don't think `replace-char-fold'
should be `replace-char-ignore'.

OTOH we do already have more than one term for this, unfortunately.
"lax-whitespace" should probably use the "fold" terminology too?

I agree that "fold" isn't intuitive to newcomers, but I also think
it's good to try to limit the number of different terms used to
express a concept.

-Phil